<?php 
	//* defino acceso al sistema WebyPlus */
	define( 'YPANEL_INI', true );
	//* defino camino 
	include_once( dirname(__DIR__) . '/.ypanel.php' );
	
	if( $_POST ){
		$post			= ( isset( $_POST['post'] ) ) ? $_POST['post'] : 0;
		$usuario		= ( isset( $_POST['usuario'] ) ) ? $_POST['usuario'] : NULL;
		$nombre_usuario	= ( isset( $_POST['nombre'] ) ) ? $_POST['nombre'] : NULL;
		$email			= ( isset( $_POST['email'] ) ) ? $_POST['email'] : NULL;
		
		$utc_dat2		= explode( '|', $_POST['utc'] );
		
		$data_uri = _DIR_PAQUETE . YDS . '.ypanel' . YDS . 'datos' . YDS . 'cuentas_usuarios';
		// -- Leo los datos
			$json = file_get_contents( $data_uri ); 
			$data = json_decode($json, true);
		
		if( _mysql_query( "UPDATE `" . MYSQL_PREFIJO_SISX . "usuarios` SET `nombre_usuario`='$nombre_usuario',`email`='$email' WHERE id='$post'" ) ){	
			if( isset( $utc_dat2[1] ) ) {
				$data[$usuario]['utc_id'] = $utc_dat2[0];
				$data[$usuario]['utc'] = $utc_dat2[1];
			}
			
			// -- Guardo las modificciones
				$json = json_encode($data);
				file_put_contents($data_uri, $json);
				
			msg_error( 'Se guardaron los datos correctamente.', '', 'alert-success' );
		}else{
			msg_error( 'UPS algo salió mal.', '', 'alert-danger' );
		}
	}
	
	
	echo _error();
			 
?>	